<?php
    require('../components/utils.php');
    require('../components/db_config.php');
    adminLogin();

    if(isset($_POST['get_general'])){
        $q = "SELECT * FROM `settings` WHERE `sr_no`=?";
        $values = [1];
        $res = select($q, $values, "i");
        $data = mysqli_fetch_assoc($res);
        $json_data = json_encode($data);

        echo $json_data;
    }

    if(isset($_POST['upd_general'])){
        $frm_data = filteration($_POST);
        $q = "UPDATE `settings` SET `site_title`=? WHERE `sr_no`=?";
        $values = [$frm_data['site_title'],1];
        $res = update($q, $values, 'ss');

        echo $res;
    }

    if(isset($_POST['upd_shutdown'])){
        $frm_data = ($_POST['upd_shutdown']==0) ? 1 : 0;
        $q = "UPDATE `settings` SET `shutdown`=? WHERE `sr_no`=?";
        $values = [$frm_data,1];
        $res = update($q, $values, 'ii');

        echo $res;
    }

    if(isset($_POST['get_contact'])){
        $q = "SELECT * FROM `contact_detail` WHERE `sr_no`=?";
        $values = [1];
        $res = select($q, $values, "i");
        $data = mysqli_fetch_assoc($res);
        $json_data = json_encode($data);

        echo $json_data;
    }

    if(isset($_POST['upd_contact'])){
        $frm_data = filteration($_POST);
        $q = "UPDATE `contact_detail` SET `address`=?,`booking_phone`=?,`booking_email`=?,`reserve_phone`=?,`reserve_email`=?,`recep_phone`=?,`recep_email`=?,`offi_name`=?,`offi_phone`=?,`offi_email`=? WHERE `sr_no`=?";
        $values = [$frm_data['address'], $frm_data['booking_phone'], $frm_data['booking_email'], $frm_data['reserve_phone'], $frm_data['reserve_email'], $frm_data['recep_phone'], $frm_data['recep_email'], $frm_data['offi_name'], $frm_data['offi_phone'], $frm_data['offi_email'], 1];
        $res = update($q, $values, 'ssssssssssi');

        echo $res;
    }

    if(isset($_POST['add_member'])){
        $frm_data = filteration($_POST);
        $img_r = uploadImage($_FILES['image'], MANAGEMENT_FOLDER);

        if($img_r == 'inv_img'){
            echo $img_r;
        }
        else if($img_r == 'inv_size'){
            echo $img_r;
        }
        else if($img_r == 'upd_failed'){
            echo $img_r;
        }
        else{
            $q = "INSERT INTO `team_detail`(`name`, `image`) VALUES (?,?)";
            $values = [$frm_data['name'], $img_r];
            $res = insert($q, $values, 'ss');
            echo $res;
        }
    }

    if(isset($_POST['get_member'])){
        $res = selectAll('team_detail');
        while($row = mysqli_fetch_assoc($res)){
            $path = MANAGMENT_IMG_PATH;
            echo <<<data
                <div class="col-md-2 mb-3">
                    <div class="card bg-dark text-white">
                        <img src="$path$row[image]" class="card-img" style="width: 100%; height: 230px; object-fit: cover;">
                        <div class="card-img-overlay text-end">
                            <button type="button" onclick="remove_member($row[sr_no])" class="btn-cancle"><i class='bx bxs-trash' ></i></button>
                        </div>
                        <p class="card-text text-center">$row[name]</p>
                    </div>
                </div>
            data;
        }
    }

    if(isset($_POST['remove_member'])){
        $frm_data = filteration($_POST);
        $values = [$frm_data['remove_member']];
        $pre_q = "SELECT * FROM `team_detail` WHERE `sr_no`=?";
        $res = select($pre_q, $values, 'i');
        $img = mysqli_fetch_assoc($res);
        
        if(deleteImage($img['image'], MANAGEMENT_FOLDER)){
            $q = "DELETE FROM `team_detail` WHERE `sr_no`=?";
            $res = delete($q, $values, 'i');
            echo $res;
        } else{
            echo 0;
        }
    }

?>