<?php
    require('../components/utils.php');
    require('../components/db_config.php');
    adminLogin();

    if(isset($_POST['get_users'])){
        $res = selectAll('user_creds');
        $i = 1;
        $data = "";

        while($row = mysqli_fetch_assoc($res)){
            $date = date("M-d-Y", strtotime($row['datentime']));
            $delete_btn = "<button type='button' onclick='remove_user($row[id])' class='btn-cancel' style='padding: 2px 4px; font-size: 12px;'>Delete user</button>";
            $verified = "<span class='badge bg-danger'>No</span>";

            if($row['is_verified']){
                $verified = "<span class='badge bg-success'>Yes</span>";
                $delete_btn = "";
            }

            $status = "<button onclick='toggleStatus($row[id], 0)' class='btn-third fw-bold' style='padding: 2px 4px; font-size: 12px;'>Active</button>";
            if(!$row['status']){
                $status = "<button onclick='toggleStatus($row[id], 1)' class='btn-cancel fw-bold' style='padding: 2px 4px; font-size: 12px;'>Inactive</button>";
            }
            
            $data.="
                <tr>
                    <td>$i</td>
                    <td>$row[firstname]</td>
                    <td>$row[lastname]</td>
                    <td>$row[email]</td>
                    <td>$row[phone]</td>
                    <td>$row[address]</td>
                    <td>$row[birth]</td>
                    <td>$verified</td>
                    <td>$status</td>
                    <td>$date</td>
                    <td>$delete_btn</td>
                </tr>
            ";
            $i++;
        }
        echo $data;
    }

    if(isset($_POST['toggleStatus'])){
        $frm_data = filteration($_POST);
        $q = "UPDATE `user_creds` SET `status`=? WHERE `id`=?";
        $values = [$frm_data['value'], $frm_data['toggleStatus']];

        if(update($q, $values, 'ii')){
            echo 1;
        } else{
            echo 0;
        }
    }

    if(isset($_POST['remove_user'])){
        $frm_data = filteration($_POST);
        
        $res = delete("DELETE FROM `user_creds` WHERE `id`=? AND `is_verified`=?", [1, $frm_data['user_id'], 0], 'ii');

        if($res){
            echo 1;
        } else{
            echo 0;
        }
    }

    if(isset($_POST['search_users'])){
        $frm_data = filteration($_POST);
        $query = "SELECT * FROM `user_creds` WHERE `firstname` LIKE ?";
        $res = select($query, ["%$frm_data[firstname]%"], 's');
        $i = 1;
        $data = "";

        while($row = mysqli_fetch_assoc($res)){
            $date = date("M-d-Y", strtotime($row['datentime']));
            $delete_btn = "<button type='button' onclick='remove_user($row[id])' class='btn-cancel' style='padding: 2px 4px; font-size: 12px;'>Delete user</button>";
            $verified = "<span class='badge bg-danger'>No</span>";

            if($row['is_verified']){
                $verified = "<span class='badge bg-success'>Yes</span>";
                $delete_btn = "";
            }

            $status = "<button onclick='toggleStatus($row[id], 0)' class='btn-third fw-bold' style='padding: 2px 4px; font-size: 12px;'>Active</button>";
            if(!$row['status']){
                $status = "<button onclick='toggleStatus($row[id], 1)' class='btn-cancel fw-bold' style='padding: 2px 4px; font-size: 12px;'>Inactive</button>";
            }
            
            $data.="
                <tr>
                    <td>$i</td>
                    <td>$row[firstname]</td>
                    <td>$row[lastname]</td>
                    <td>$row[email]</td>
                    <td>$row[phone]</td>
                    <td>$row[address]</td>
                    <td>$row[birth]</td>
                    <td>$verified</td>
                    <td>$status</td>
                    <td>$date</td>
                    <td>$delete_btn</td>
                </tr>
            ";
            $i++;
        }
        echo $data;
    }

?>